<?xml version="1.0" encoding="UTF-8"?>

<!-- Differential patch for M/Monit database schema version 15 to 16 -->

<patch>

<!-- sqlite -->

<statements type="sqlite">

<statement>
VACUUM;
</statement>

</statements>


<!-- mysql -->

<statements type="mysql">

<statement>
ALTER TABLE host MODIFY COLUMN platformmemory BIGINT DEFAULT 0;
</statement>
<statement>
ALTER TABLE host MODIFY COLUMN platformswap BIGINT DEFAULT 0;
</statement>

</statements>


<!-- postgresql -->

<statements type="postgresql">

<statement>
ALTER TABLE host ALTER COLUMN platformmemory SET DATA TYPE BIGINT;
</statement>
<statement>
ALTER TABLE host ALTER COLUMN platformswap SET DATA TYPE BIGINT;
</statement>

</statements>

</patch>

